CREATE TABLE IF NOT EXISTS `plugin_moodle_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_moodle_products` (
  `product_id` INT(10) UNSIGNED NOT NULL,
  `moodle_product_id` INT(10) UNSIGNED NOT NULL,
  `email_template_name` VARCHAR(45) DEFAULT NULL,
  PRIMARY KEY (`product_id`, `moodle_product_id`),
  FOREIGN KEY (`product_id`) REFERENCES `shopping_product` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_moodle_orders` (
  `order_id` INT(10) UNSIGNED NOT NULL,
  `product_id` INT(10) UNSIGNED NOT NULL,
  `moodle_product_id` INT(10) UNSIGNED NOT NULL,
  `status` ENUM('error', 'completed') DEFAULT 'completed',
  `info` VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY(`order_id`, `moodle_product_id`, `product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `email_triggers` (`enabled`, `trigger_name`, `observer`) VALUES
('1', 'moodle_enroll', 'Tools_MoodleMailWatchdog'),
('1', 'moodle_registration', 'Tools_MoodleMailWatchdog'),
('1', 'moodle_registered', 'Tools_MoodleMailWatchdog');

UPDATE `plugin` SET `tags`='ecommerce,merchandising,inventory' WHERE `name` = 'moodle';